diff --git a/share/termcap/termcap.src b/share/termcap/termcap.src
--- a/share/termcap/termcap.src
+++ b/share/termcap/termcap.src
@@ -30,14 +30,13 @@
 # SUCH DAMAGE.
 #
 #	@(#)termcap.src	8.2 (Berkeley) 11/17/93
-# $FreeBSD: src/share/termcap/termcap.src,v 1.89.2.26 2003/05/26 18:52:13 ache Exp $
-# $DragonFly: src/share/termcap/termcap.src,v 1.4 2006/06/16 12:30:41 swildner Exp $
+# $FreeBSD: src/share/termcap/termcap.src,v 1.150 2008/01/08 16:00:24 rafan Exp $
 
 #	Termcap source file
 #	John Kunze, Berkeley
 #	Craig Leres, Berkeley
 #
-# Please e-mail changes to termcap@berkeley.edu or uunet!ucbvax!termcap.
+# Please submit changes to http://bugs.dragonflybsd.org.
 #
 # << EOH - after reordering, above header lines survive and this line dies >>
 #
@@ -89,6 +88,17 @@
 # Comments in this file begin with # - they cannot appear in the middle
 # of a termcap entry.  Individual entries are commented out by
 # placing a period between the colon and the capability name.
+#
+# To add a termcap entry under DragonFly for a new terminal type, insert
+# the entry in the appropriate location in /etc/termcap then issue this
+# command:
+#
+#  cap_mkdb -f /usr/share/misc/termcap /etc/termcap
+#
+# Terminfo source entries can be converted to termcap entries with the
+# tic program that is part of the ncurses distribution, see the ports
+# section.
+#
 #
 #  This file is to be installed with an editor script (reorder)
 #  that moves the most common terminals to the front of the file.
@@ -402,7 +412,7 @@
 	:ce=\EI:cm=\EY%+\040%+\040:nd=\EC:up=\EA:do=\EB:\
 	:dl=\EO:dc=\EQ:kd=\EB:ku=\EA:kl=\ED:kr=\EC:kh=\EH:\
 	:us=\E4\102:ue=\E4\100:so=\E4\110:se=\E4\100:
-#From seth@sirius.ctr.columbia.edu Sun May 20 11:02:34 1990
+# From seth@sirius.ctr.columbia.edu Sun May 20 11:02:34 1990
 ibm3163|ibm63|i3163|3163|IBM 3163:\
 	:al=\EN:am:bs:bt=\E2:cd=\EJ:ce=\EI:cl=\EL:\
 	:cm=\EY%+\040%+\040:co#80:ct=\E 1:dc=\EQ:\
@@ -442,8 +452,8 @@
 	:ts=\Ej\EY8%+ \Eo:fs=\Ek:ds=\Ej\EY8\40\EI\Ek:es:hs:sb:tc=ibm3101:
 ibmega-c|ibm5154-c|IBM Enhanced Color Display color termcap:\
 	:se=\EB:so=\EF\Ef3;:ue=\EB:us=\EF\Ef2;:tc=ibmconsole:
-#from marc pawliger--marc@ibminet.awdpa.ibm.com
-#also in /usr/lpp/bos/bsdsysadmin.
+# from marc pawliger--marc@ibminet.awdpa.ibm.com
+# also in /usr/lpp/bos/bsdsysadmin.
 hft-c|ibm8512|ibm8513|IBM High Function Terminal:\
 	:co#80:li#25:am:ht:\
 	:cm=\E[%i%d;%dH:ti=\E[20;4l\E[?7h\Eb:te=\E[20h:\
@@ -473,13 +483,40 @@
 	:k1=\E[001q:k2=\E[002q:k3=\E[003q:k4=\E[004q:\
 	:k5=\E[005q:k6=\E[006q:k7=\E[007q:k8=\E[008q:\
 	:k9=\E[009q:ka=\E[010q:
-#From pryor@math.berkeley.edu
+# From pryor@math.berkeley.edu
 ibm5081|ibmmpel|IBM 5081 1024x1024 256/4096 color display:\
 	:ts=\Ej\EYA%+ \Eo:fs=\Ek:ds=\Ej\EYA\40\EI\Ek:es:hs:\
 	:li#33:tc=ibmconsole:
 ibm5081-c|ibmmpel-c|IBM 5081 1024x1024 256/4096 enhanced color display:\
 	:ts=\Ej\EYA%+ \Eo:fs=\Ek:ds=\Ej\EYA\40\EI\Ek:es:hs:\
 	:li#33:tc=ibmega-c:
+# ibm3151 and ibm3151-25 are modified from a Usenet posting
+# from http://www.cs.utk.edu/~shuford/terminal/ibm_3161.termcap.txt
+# Newsgroups: comp.terminals Message-ID: <1rkqgnINNdso@uwm.edu>
+ibm3151|ibm3152|ibm3162|Ibm3162|ibm3151-pc:\
+	:am:mi:ms:\
+	:co#80:li#24:kn#9:\
+	:cd=\EJ:ce=\EI:cl=\EH\EJ:cm=\EY%+ %+ :dc=\EQ:dl=\EO:\
+	:ho=\EH:k1=\Ea\n:k2=\Eb\n:k3=\Ec\n:k4=\Ed\n:k5=\Ee\n:\
+	:k6=\Ef\n:k7=\Eg\n:k8=\Eh\n:k9=\Ei\n:kb=\b:kd=\EB:\
+	:kh=\EH:kl=\ED:kr=\EC:ku=\EA:nd=\EC:se=\E4>b:so=\E4!a:\
+	:te=\E>A:ti=\E>B:ue=\E4=b:up=\EA:us=\E4"a:bc=\ED:\
+	:U8=\E<A:U9=\E<@:\
+	:Us=q:Uv=x:Ux=k:Uw=j:Uz=m:Uy=l:Uu=n:Uq=w:Up=v:Ut=t:Ur=u:\
+	:Ub=\E4$a:Uc=\E4@:Uf=\E4(a:Ug=\E4@:U6=\E r!! 8"P:U7=\E r!! 8$D:\
+	:nl=\EB:ko=le,do,nd,up,dc,dl,cd,ce,ho:
+ibm3151-25|ibm3152-25:\
+	:am:mi:ms:\
+	:co#80:li#25:kn#9:\
+	:cd=\EJ:ce=\EI:cl=\EH\EJ:cm=\EY%+ %+ :dc=\EQ:dl=\EO:\
+	:ho=\EH:k1=\Ea\n:k2=\Eb\n:k3=\Ec\n:k4=\Ed\n:k5=\Ee\n:\
+	:k6=\Ef\n:k7=\Eg\n:k8=\Eh\n:k9=\Ei\n:kb=\b:kd=\EB:\
+	:kh=\EH:kl=\ED:kr=\EC:ku=\EA:nd=\EC:se=\E4>b:so=\E4!a:\
+	:te=\E>A:ti=\E>B:ue=\E4=b:up=\EA:us=\E4"a:bc=\ED:\
+	:U8=\E<A:U9=\E<@:\
+	:Us=q:Uv=x:Ux=k:Uw=j:Uz=m:Uy=l:Uu=n:Uq=w:Up=v:Ut=t:Ur=u:\
+	:Ub=\E4$a:Uc=\E4@:Uf=\E4(a:Ug=\E4@:U6=\E r!! 9"P:U7=\E r!! 9$D:\
+	:nl=\EB:ko=le,do,nd,up,dc,dl,cd,ce,ho:
 # # --------------------------------
 #
 # M: MISCELLANEOUS TERMINALS
@@ -585,7 +622,7 @@
 	:kr=\E[C:ku=\E[A:li#24:nd=\E[C:se=\Eg0:so=\Eg4:\
 	:up=\E[A:us=\Eg1:ti=\E_d:te=\E_b:\
 	:ue=\Eg0:do=\E[B:cm=\E=%+ %+ :ms:kh=\E[H:da:mi:bt=\EI:
-#NOTE: bg can scroll, it just would rather not (ns) - rwells 3/13/81.
+# NOTE: bg can scroll, it just would rather not (ns) - rwells 3/13/81.
 # (Shouldn't you take out ns and put in an nl instead? - mrh)
 bitgraph|BBN BitGraph terminal:\
 	:do=^J:al=2*\E[L:bs:cd=150\E[J:ce=2\E[K:\
@@ -599,7 +636,7 @@
 soroc|Soroc 120:\
 	:do=^J:cd=\EY:ce=\ET:cl=2\E*:ma=^K^P^R^L^L :\
 	:kl=^H:ku=^K:kr=^L:kd=^J:tc=adm3a:
-#  From: ma179abu%sdcc3@sdcsvax.ucsd.edu (Bill Houle)
+# From: ma179abu%sdcc3@sdcsvax.ucsd.edu (Bill Houle)
 iq140|soroc140|Soroc IQ140 with inverse & dim:\
 	:ic=\EQ:dc=\EW:al=\EE:dl=\ER:ce=\ET:cd=\EY:cl=\E+:cm=\E=%+ %+ :\
 	:up=^K:do=^J:le=^H:nd=^L:ho=^^:ta=\Ei:ma=^Kk^Jj^Hh^Ll^^h:am:bs:\
@@ -632,7 +669,7 @@
 	:am:le=^H:bs:pt:cl=75\E*:cm=\E=%+ %+ :\
 	:al=5*\EE:bt=\EI:ic=\EQ:dl=5*\ER:dc=\EW:\
 	:ce=\Et:cd=\Ey:so=\Ej:se=\Ek:li#24:co#80:nd=^L:up=^K:
-#  From: atd!dsd!rcb@ucbvax.berkeley.edu (Richard Bascove)
+# From: atd!dsd!rcb@ucbvax.berkeley.edu (Richard Bascove)
 a210|210|ampex210|ampex a210:\
 	:am:bs:cl=\E*:cm=\E=%+ %+ :al=\EE:bt=\EI:ic=\EQ:\
 	:dl=\ER:dc=\EW:ho=^^:xn:ce=\Et:cd=\Ey:li#24:co#80:nd=^L:up=^K:\
@@ -683,7 +720,7 @@
 # Alternate cit101 (vt100 em) file used in vt100.
 #	    Uses 23 lines so can run citsys (like h19sys).
 #	24 May 85 (mtxinu!sybase!tim) - removed 2-byte limit on 'cm' cursor
-#	  coordinates otherwise there is garbling on long lines in 
+#	  coordinates otherwise there is garbling on long lines in
 #	  co#132 mode; also added support for multipage	memory on the Itoh.
 citc|Citoh fast vt100:\
 	:co#80:li#23:am:cl=\E[;H\E[2J:bs:cm=\E[%i%d;%dH:nd=\E[C:up=\E[A:\
@@ -728,7 +765,7 @@
 	:da@:db@:tc=oblit:
 datapoint|dp3|dp3360|datapoint 3360:\
 	:do=^J:am:le=^H:bs:cd=^_:ce=^^:cl=^]^_:co#82:ho=^]:li#25:nd=^x:up=^z:
-#From: cbosgd!utcs!romwa@ucbvax.berkeley.edu (mark dornfeld)
+# From: cbosgd!utcs!romwa@ucbvax.berkeley.edu (mark dornfeld)
 #		This termcap is for the LANPAR Technologies VISION 3220
 #	terminal.  The function key definitions k0-k5 represent the
 #	edit keypad: FIND, INSERT HERE, REMOVE, SELECT, PREV SCREEN,
@@ -893,27 +930,10 @@
 	:te=\E[>4h:ti=\E[>4l:tc=sun:
 # The terminal mvterm is a full color terminal emulation that seems to be
 # specific to a terminal program on Sun workstations called SwitchTerm. It
-# seems to be vt100 compatible in some areas, but not in other. Please
-# note that the size of the current format of the terminal definition is
-# 1011 bytes which just scrapes below the 1023 limit that FreeBSD sets.
+# is vt100 compatible with minor changes.
 # Daniel Rudy <dcrudy@pacbell.net>
-mvterm|vv100:\
-	:@8=\EOM:AB=\E[4%p1%dm:AF=\E[3%p1%dm:AL=\E[%p1%dL:Co#8:DC=\E[%p1%dP:\
-	:sc=\E7:DL=\E[%p1%dM:DO=\E[%p1%dB:IC=\E[%p1%d@:K1=\EOq:K2=\EOr:\
-	:K3=\EOs:K4=\EOp:xn:K5=\EOn:LE=\E[%p1%dD:RI=\E[%p1%dC:UP=\E[%p1%dA:\
-	:al=\E[L:am:as=^N:bl=^G:us=\E[4m:\
-	:ac=``aaffggjjkkllmmnnooppqqrrssttuuvvwwxxyyzz{{||}}~~:cb=\E[1K$<3>:\
-	:so=\E[7m:cd=\E[J:ce=\E[K:cl=\E[H\E[2J:cm=\E[%i%p1%d;%p2%dH:co#80:\
-	:cr=\r:ct=\E[3g:ue=\E[m:cs=\E[%i%p1%d;%p2%dr:dc=\E[P:dl=\E[M:do=\n:\
-	:ds=\E[?E:eA=\E(B\E)0:es:ti=\E7\E[?47h:fs=\E[?F:ho=\E[H:hs:ic=\E[@:\
-	:it#8:k0=\EOy:k1=\EOP:k2=\EOQ:k3=\EOR:k4=\EOS:sf=\n:k5=\EOt:k6=\EOu:\
-	:k7=\EOv:k8=\EOl:k9=\EOw:k;=\EOx:kb=\b:kd=\EOB:kl=\EOD:st=\EH:\
-	:ke=\E[?1l\E>:km:kr=\EOC:ks=\E[?1h\E=:ku=\EOA:le=\b:li#24:\
-	:mb=\E[5m$<2>:ta=\t:md=\E[1m:me=\E[m:mi:mr=\E[7m:ms:nd=\E[C:\
-	:op=\E[100m:pa#64:rc=\E8:sr=\EM:ae=^O:se=\E[m:\
-	:r1=\E>\E[1;3;4;5;6l\E[?7h\E[100m\E[m\E[r\E[2J\E[H:te=\E[2J\E[?47l\E8:\
-	:sa=\E[0%?%p1%p6%|%t;1%;%?%p2%t;4%;%?%p1%p3%|%t;7%;%?%p4%t;5%;m%?%p9%t^N%e^O%;:\
-	:ts=\E[?E\E[?%i%p1%dT:up=\E[A:
+mvterm|vv100|mvterm emulator with ANSI colors:\
+	:pa#64:Co#8:AF=\E[3%dm:AB=\E[4%dm:op=\E[100m:tc=vt102:
 # For NeWS's psterm from Eric Messick & Hugh Daniel
 psterm|psterm-basic|psterm-80x34:\
 	:am:bs:al=\EA:cd=\EB:ce=\EC:cl=^L:cm=\E%d;%d;:cs=\EE%d;%d;:\
@@ -1508,7 +1528,7 @@
 # below try to get around the problem by ignoring the feature or
 # turning it off when inputting a character.  They are said not to
 # work well at 300 baud.  (You could always cut the wire to the bell!)
-#From mike@brl-vgr Mon Nov 14 08:34:29 1983
+# From mike@brl-vgr Mon Nov 14 08:34:29 1983
 vi200|vis200|visual 200 with function keys:\
 	:so=\E4:se=\E3:ms:do=^J:\
 	:al=\EL:am:le=^H:bs:cd=\Ey:ce=\Ex:cl=\Ev:\
@@ -1751,7 +1771,7 @@
 regent60|regent200|Adds Regent 60:se=\ER\E0@\EV:so=\ER\E0P\EV:dc=\EE:ei=\EF:\
 	:im=\EF:is=\EV\EB:ko=dc,im,ei:tc=regent40+:
 regent60na|regent 60 w/no arrow keys:\
-	kl@:kr@:ku@:kd@:tc=regent60:
+	:kl@:kr@:ku@:kd@:tc=regent60:
 #
 # adds viewpoint 90 - from cornell
 # Note:  emacs sends ei occasionally to insure the terminal is out of
@@ -1993,7 +2013,8 @@
 	:kN=\E[G:kP=\E[I:@7=\E[F:kI=\E[L:kD=\177:kB=\E[Z:\
 	:IC=\E[%d@:DC=\E[%dP:SF=\E[%dS:SR=\E[%dT:AL=\E[%dL:DL=\E[%dM:\
 	:DO=\E[%dB:LE=\E[%dD:RI=\E[%dC:UP=\E[%dA:cv=\E[%i%dd:ch=\E[%i%d`:\
-	:mb=\E[5m:md=\E[1m:mr=\E[7m:me=\E[m:bl=^G:
+	:mb=\E[5m:md=\E[1m:mr=\E[7m:me=\E[m:bl=^G:\
+	:ve=\E[=S:vi=\E[=1S:vs=\E[=2S:
 # CP437 FreeBSD console with ACS support
 cons25|ansis|ansi80x25:\
 	:ac=l\332m\300k\277j\331u\264t\303v\301w\302q\304x\263n\305`^Da\260f\370g\361~\371.^Y-^Xh\261i^U0\333y\363z\362:\
@@ -2049,6 +2070,28 @@
 	:li#60:tc=cons25r:
 cons60r-m|cons60u-m|cons60-koi8-mono:\
 	:li#60:tc=cons25r-m:
+# Syscons console with 90 characters (VGA modes)
+# KOI8-R/KOI8-U FreeBSD console with ACS support.
+cons25r-v|cons25u-v|pc3r-v|ibmpc3r-vga|cons25-koi8-vga:\
+	:co#90:tc=cons25r:
+cons25r-mv|cons25u-mv|pc3r-mv|ibmpc3r-monovga|cons25-koi8-monovga:\
+	:co#90:tc=cons25r-m:
+cons30r-v|cons30u-v|cons30-koi8-vga:\
+	:co#90:tc=cons30r:
+cons30r-mv|cons30u-mv|cons30-koi8-monovga:\
+	:co#90:tc=cons30r-m:
+cons43r-v|cons43u-v|cons43-koi8-vga:\
+	:co#90:tc=cons43r:
+cons43r-mv|cons43u-mv|cons43-koi8-monovga:\
+	:co#90:tc=cons43r-m:
+cons50r-v|cons50u-v|cons50-koi8-vga:\
+	:co#90:tc=cons50r:
+cons50r-mv|cons50u-mv|cons50-koi8-monovga:\
+	:co#90:tc=cons50r-m:
+cons60r-v|cons60u-v|cons60-koi8-vga:\
+	:co#90:tc=cons60r:
+cons60r-mv|cons60u-mv|cons60-koi8-monovga:\
+	:co#90:tc=cons60r-m:
 # ISO 8859-2 FreeBSD console with ACS support
 cons25l2|cons25-iso8859-2:\
 	:ac=f\260i\247:\
@@ -2202,7 +2245,7 @@
 	:as@:ae@:ac@:tc=vt100-np:
 gt42|dec gt42:\
 	:do=^J:le=^H:bs:co#72:ns:li#40:os:
-#From ts@pc.ecn.purdue.edu (Thomas Ruschak)
+# From ts@pc.ecn.purdue.edu (Thomas Ruschak)
 vt131|dec vt131:\
 	:cr=^M:do=^J:nl=^J:bl=^G:co#80:li#24:cl=50\E[;H\E[2J:\
 	:le=^H:bs:am:cm=5\E[%i%d;%dH:nd=2\E[C:up=2\E[A:\
@@ -2237,7 +2280,7 @@
 	:ku=\EOA:kd=\EOB:kr=\EOC:kl=\EOD:\
 	:kh=\E[H:k1=\EOP:k2=\EOQ:k3=\EOR:k4=\EOS:pt:sr=200\EM:\
 	:dC=50:dF=200:dN#50:dT=50:
-#From William King <abvax!wrk@uunet.UU.NET>, basic ln03 entries
+# From William King <abvax!wrk@uunet.UU.NET>, basic ln03 entries
 ln03|dec ln03 LaserPrinter:\
 	:co#80:li#66:hc:hu=\EL:hd=\EK:so=\E[1m:se=\E[22m:\
 	:us=\E[4m:ue=\E[24m:
@@ -2372,29 +2415,29 @@
 # (acsc removed to fit entry within 1023 bytes)
 # (terminfo-only capabilities suppressed to fit entry within 1023 bytes)
 vt420|vt420-24|dec-vt420|DEC vt420 7 bit controls 80x24 autowrap:\
-        :am:es:hs:mi:ms:xn:xo:\
-        :co#80:it#8:li#24:ws#80:\
-        :AL=\E[%dL:DC=\E[%dP:DL=\E[%dM:DO=\E[%dB:IC=\E[%d@:\
-        :LE=\E[%dD:RI=\E[%dC:UP=\E[%dA:ae=^O:al=\E[L:as=^N:bl=^G:\
-        :cd=\E[J:ce=\E[K:cl=\E[H\E[J:cm=\E[%i%d;%dH:cr=^M:\
-        :cs=\E[%i%d;%dr:ct=\E[3g:dc=\E[P:dl=\E[M:do=^J:\
-        :ds=\E[2$~\r\E[1$}\E[K\E[$}:ec=\E[%dX:ei=\E[4l:fs=\E[$}:\
-        :ho=\E[H:ic=\E[@:im=\E[4h:is=\E[?7h\E[>\E[?1h\E F\E[?4l:\
-        :k1=\EOP:k2=\EOQ:k3=\EOR:k4=\EOS:k6=\E[17~:k7=\E[18~:\
-        :k8=\E[19~:k9=\E[20~:kD=\E[3~:kI=\E[2~:kN=\E[6~:kP=\E[5~:\
-        :kb=^H:kd=\E[B:kl=\E[D:kr=\E[C:ku=\E[A:le=^H:mb=\E[5m:\
-        :md=\E[1m:me=\E[0m:mr=\E[7m:nd=\E[C:nw=\EE:rc=\E8:sc=\E7:\
-        :se=\E[27m:sf=\ED:so=\E[7m:sr=\EM:st=\EH:ta=^I:\
-        :ts=\E[2$~\E[1$}\E[1;%dH:ue=\E[24m:up=\E[A:us=\E[4m:\
-        :vb=\E[?5h\E[?5l:ve=\E[?25h:vi=\E[?25l:vs=\E[?25h:
+	:am:es:hs:mi:ms:xn:xo:\
+	:co#80:it#8:li#24:ws#80:\
+	:AL=\E[%dL:DC=\E[%dP:DL=\E[%dM:DO=\E[%dB:IC=\E[%d@:\
+	:LE=\E[%dD:RI=\E[%dC:UP=\E[%dA:ae=^O:al=\E[L:as=^N:bl=^G:\
+	:cd=\E[J:ce=\E[K:cl=\E[H\E[J:cm=\E[%i%d;%dH:cr=^M:\
+	:cs=\E[%i%d;%dr:ct=\E[3g:dc=\E[P:dl=\E[M:do=^J:\
+	:ds=\E[2$~\r\E[1$}\E[K\E[$}:ec=\E[%dX:ei=\E[4l:fs=\E[$}:\
+	:ho=\E[H:ic=\E[@:im=\E[4h:is=\E[?7h\E[>\E[?1h\E F\E[?4l:\
+	:k1=\EOP:k2=\EOQ:k3=\EOR:k4=\EOS:k6=\E[17~:k7=\E[18~:\
+	:k8=\E[19~:k9=\E[20~:kD=\E[3~:kI=\E[2~:kN=\E[6~:kP=\E[5~:\
+	:kb=^H:kd=\E[B:kl=\E[D:kr=\E[C:ku=\E[A:le=^H:mb=\E[5m:\
+	:md=\E[1m:me=\E[0m:mr=\E[7m:nd=\E[C:nw=\EE:rc=\E8:sc=\E7:\
+	:se=\E[27m:sf=\ED:so=\E[7m:sr=\EM:st=\EH:ta=^I:\
+	:ts=\E[2$~\E[1$}\E[1;%dH:ue=\E[24m:up=\E[A:us=\E[4m:\
+	:vb=\E[?5h\E[?5l:ve=\E[?25h:vi=\E[?25l:vs=\E[?25h:
 vt400|dec-vt400|DEC VT400 level terminal for telnet alias:\
-        :tc=vt420:
+	:tc=vt420:
 vt420-w|DEC vt420 7 bit controls 132x24 autowrap:\
-        :co#132:tc=vt420:
+	:co#132:tc=vt420:
 vt420-36|DEC vt420 7 bit controls 80x36 autowrap:\
-        :li#36:tc=vt420:
+	:li#36:tc=vt420:
 vt420-36w|DEC vt420 7 bit controls 132x36 autowrap:\
-        :co#132:li#36:tc=vt420:
+	:co#132:li#36:tc=vt420:
 
 # From ftp://gatekeeper.dec.com/pub/DEC/termcaps/ :
 #
@@ -2423,17 +2466,17 @@
 	:cl=50\E[;H\E[2J:cm=10\E[%i%d;%dH:cs=\E[%i%d;%dr:\
 	:dc=\E[P:dl=\E[M:ei=\E[4l:ho=\E[H:\
 	:if=/usr/lib/tabset/vt100:\
-        :im=\E[4h:\
+	:im=\E[4h:\
 	:is=\E[1;24r\E[24;1H:\
 	:r3=\E[?67h\E[64;1"p:\
 	:i3=\E[?67h\E[64;1"p:\
 	:k0=\E[29~:\
-        :k1=\EOP:k2=\EOQ:k3=\EOR:k4=\EOS:\
-        :k5=\E[17~:k6=\E[18~:k7=\E[19~:k8=\E[20~:k9=\E[21~:\
-        :kb=\b:kd=\E[B:ke=\E>:kl=\E[D:\
+	:k1=\EOP:k2=\EOQ:k3=\EOR:k4=\EOS:\
+	:k5=\E[17~:k6=\E[18~:k7=\E[19~:k8=\E[20~:k9=\E[21~:\
+	:kb=\b:kd=\E[B:ke=\E>:kl=\E[D:\
 	:kr=\E[C:ks=\E=:ku=\E[A:nd=\E[C:\
 	:rc=\E8:rf=/usr/lib/tabset/vt100:\
-        :se=\E[m:so=\E[7m:\
+	:se=\E[m:so=\E[7m:\
 	:sr=\EM:ue=\E[m:up=\E[A:us=\E[4m:nl=\E[B:ko=do,nd,up:
 #
 vt520nam|vt520-nam|v520n|DEC VT520 with no automargins:\
@@ -2446,7 +2489,7 @@
 	:pa#64:Co#8:AF=\E[3%dm:AB=\E[4%dm:op=\E[39;49m\E[m:tc=vt100:
 vt102-color|vt102-co|vt102 emulator with ANSI colors:\
 	:pa#64:Co#8:AF=\E[3%dm:AB=\E[4%dm:op=\E[39;49m\E[m:tc=vt102:
-vt220-color|vt220-co|vt220 emulator with ANSI colors:\
+putty|vt220-color|vt220-co|vt220 emulator with ANSI colors:\
 	:pa#64:Co#8:AF=\E[3%dm:AB=\E[4%dm:op=\E[39;49m\E[m:tc=vt220:
 # Attempt to save some of 1024 buf space truncating description
 # and names list
@@ -2459,7 +2502,8 @@
 vt340-color|vt340 co:\
 	:pa#64:Co#8:AF=\E[3%dm:AB=\E[4%dm:op=\E[39;49m\E[m:tc=vt340:
 #
-# SC,SW names needed for screen(1)
+# SC,SB,SH,SW names needed for screen(1)
+#
 SC|screen|VT 100/ANSI X3.64 virtual terminal:\
 	:am:xn:ms:mi:G0:km:\
 	:DO=\E[%dB:LE=\E[%dD:RI=\E[%dC:UP=\E[%dA:bs:bt=\E[Z:\
@@ -2469,16 +2513,20 @@
 	:li#24:co#80:us=\E[4m:ue=\E[24m:so=\E[3m:se=\E[23m:\
 	:mb=\E[5m:md=\E[1m:mr=\E[7m:me=\E[m:sr=\EM:al=\E[L:\
 	:AL=\E[%dL:dl=\E[M:DL=\E[%dM:cs=\E[%i%d;%dr:dc=\E[P:\
-	:DC=\E[%dP:ic=\E[@:IC=\E[%d@:\
+	:DC=\E[%dP:im=\E[4h:ei=\E[4l:IC=\E[%d@:\
 	:ks=\E[?1h\E=:ke=\E[?1l\E>:vb=\Eg:\
 	:ku=\EOA:kd=\EOB:kr=\EOC:kl=\EOD:kb=^H:\
 	:k1=\EOP:k2=\EOQ:k3=\EOR:k4=\EOS:k5=\E[15~:k6=\E[17~:\
 	:k7=\E[18~:k8=\E[19~:k9=\E[20~:k;=\E[21~:F1=\E[23~:F2=\E[24~:\
-	:kh=\E[1~:kI=\E[2~:kD=\E[3~:kH=\E[4~:kP=\E[5~:kN=\E[6~:\
-	:eA=\E(B\E)0:as=^N:ae=^O:\
+	:kh=\E[1~:kI=\E[2~:kD=\E[3~:kH=\E[4~:@7=\E[4~:kP=\E[5~:\
+	:kN=\E[6~:eA=\E(B\E)0:as=^N:ae=^O:ti=\E[?1049h:te=\E[?1049l:\
 	:vi=\E[?25l:ve=\E[34h\E[?25h:vs=\E[34l:\
 	:Co#8:pa#64:AF=\E[3%dm:AB=\E[4%dm:op=\E[39;49m:AX:\
-	:ac=``aaffggjjkkllmmnnooppqqrrssttuuvvwwxxyyzz{{||}}~~..--++,,hhii00:
+	:ac=``aaffggjjkkllmmnnooppqqrrssttuuvvwwxxyyzz{{||}}~~..--++,,hhII00:
+SB|screen-bce|VT 100/ANSI X3.64 virtual terminal with bce:\
+	:ut:tc=screen:
+SH|screen-s|VT 100/ANSI X3.64 virtual terminal with hardstatus line:\
+	:ts=\E_:fs=\E\\:ds=\E_\E\\:tc=screen:
 SW|screen-w|VT 100/ANSI X3.64 virtual terminal with 132 cols:\
 	:co#132:tc=screen:
 # $Xorg: termcap,v 1.3 2000/08/17 19:55:10 cpqbld Exp $
@@ -2504,23 +2552,23 @@
 	:k1=\EOP:k2=\EOQ:k3=\EOR:k4=\EOS:\
 	:k5=\E[15~:k6=\E[17~:k7=\E[18~:k8=\E[19~:\
 	:k9=\E[20~:k;=\E[21~:F1=\E[23~:F2=\E[24~:\
-	:kH=\EOF:@7=\EOF:kI=\E[2~:\
-	:kh=\EOH:*6=\EOF:kP=\E[5~:kN=\E[6~:\
+	:@7=\EOF:@8=\EOM:kI=\E[2~:\
+	:kh=\EOH:kP=\E[5~:kN=\E[6~:\
 	:ku=\EOA:kd=\EOB:kr=\EOC:kl=\EOD:Km=\E[M:tc=xterm-basic:
 #
 # This chunk is used for building the VT220/Sun/PC keyboard variants.
 xterm-basic|xterm common (XFree86):\
-	:li#24:co#80:am:kn#12:km:mi:ms:xn:bl=^G:\
-	:is=\E[!p\E[?3;4l\E[4l\E>:rs=\E[!p\E[?3;4l\E[4l\E>:\
+	:li#24:co#80:am:kn#12:km:mi:ms:xn:AX:bl=^G:\
+	:is=\E[!p\E[?3;4l\E[4l\E>:rs=\E[!p\E[?3;4l\E[4l\E>:le=^H:\
 	:AL=\E[%dL:DL=\E[%dM:DC=\E[%dP:al=\E[L:dc=\E[P:dl=\E[M:\
 	:UP=\E[%dA:DO=\E[%dB:LE=\E[%dD:RI=\E[%dC:\
 	:ho=\E[H:cd=\E[J:ce=\E[K:cl=\E[H\E[2J:cm=\E[%i%d;%dH:cs=\E[%i%d;%dr:\
 	:im=\E[4h:ei=\E[4l:ks=\E[?1h\E=:ke=\E[?1l\E>:kD=\E[3~:kb=^H:\
 	:sf=\n:sr=\EM:st=\EH:ct=\E[3g:sc=\E7:rc=\E8:\
-	:eA=\E(B\E)0:as=^N:ae=^O:ml=\El:mu=\Em:up=\E[A:nd=\E[C:\
-	:md=\E[1m:me=\E[m^O:mr=\E[7m:so=\E[7m:se=\E[27m:us=\E[4m:ue=\E[24m:\
+	:eA=\E(B\E)0:as=\E(0:ae=\E(B:ml=\El:mu=\Em:up=\E[A:nd=\E[C:\
+	:md=\E[1m:me=\E[m:mr=\E[7m:so=\E[7m:se=\E[27m:us=\E[4m:ue=\E[24m:\
 	:ti=\E[?1049h:te=\E[?1049l:vi=\E[?25l:ve=\E[?25h:\
-	:ut:Co#8:pa#64:op=\E[39;49m:AB=\E[4%dm:AF=\E[3%dm:\
+	:ut:Co#8:pa#64:op=\E[39;49m:AB=\E[4%dm:AF=\E[3%dm:
 
 # The xterm-xfree86 description has all of the features, but is not completely
 # compatible with vt220.  If you are using a Sun or PC keyboard, set the
@@ -2550,7 +2598,7 @@
 # Alternate terminal description that "works" for interactive shells such as
 # tcsh and bash.
 xterm-noapp|xterm with cursor keys in normal mode:\
-	kl=\E[D:kd=\E[B:kr=\E[C:ku=\E[A:ks=\E=:ke=\E>:ti@:te@:tc=xterm:
+	:kl=\E[D:kd=\E[B:kr=\E[C:ku=\E[A:ks=\E=:ke=\E>:ti@:te@:tc=xterm:
 #
 # These aliases are for compatibility with the terminfo; termcap cannot provide
 # the extra features, but termcap applications still want the names.
@@ -2612,7 +2660,7 @@
 	:tc=xterm-basic:
 #
 # vi may work better with this entry, because vi doesn't use insert mode much.
-# |xterm-ic|xterm-vi|xterm with insert character instead of insert mode:\
+# |xterm-ic|xterm-vi|xterm with insert character instead of insert mode:
 xterm-ic|xterm-vi|xterm with insert char:\
 	:im@:ei@:mi@:ic=\E[@:IC=\E[%d@:tc=xterm:
 #
@@ -2667,14 +2715,14 @@
 	:am:km:mi:ms:xn:\
 	:co#80:li#24:Co#8:it#8:lm#0:pa#8:\
 	:AF=\E[3%dm:AB=\E[4%dm:op=\E[39;49m:\
- 	:ac=``aaffggjjkkllmmnnooppqqrrssttuuvvwwxxyyzz{{||}}~~:\
+	:ac=``aaffggjjkkllmmnnooppqqrrssttuuvvwwxxyyzz{{||}}~~:\
 	:bl=^G:cr=\r:ta=\t:\
 	:cl=\E[H\E[J:cb=\E[1K:ce=\E[K:cd=\E[J:\
 	:cm=\E[%i%d;%dH:ho=\E[H:\
 	:LE=\E[%dD:le=\b:\
 	:DO=\E[%dB:do=\n:\
 	:RI=\E[%dC:nd=\E[C:\
-        :UP=\E[%dA:up=\E[A:\
+	:UP=\E[%dA:up=\E[A:\
 	:DC=\E[%dP:dc=\E[P:DL=\E[%dM:dl=\E[M:\
 	:IC=\E[%d@:ic=\E[@:AL=\E[%dL:al=\E[L:\
 	:sc=\E7:rc=\E8:\
@@ -2793,8 +2841,8 @@
 	:ml=\El:MT:mu=\Em:km:\
 	:mh=\E&dH:mr=\E&dB:us=\E&dD:mb=\E&dA:me=\E&d@:\
 	:ku=\EA:kd=\EB:kl=\ED:kr=\EC:kh=\Eh:ks=\E&s1A:ke=\E&s0A:tc=hp:
-#HP 236 console
-#from ddavis@ic.berkeley.edu
+# HP 236 console
+# from ddavis@ic.berkeley.edu
 236|hp236|HP236 internal terminal emulator:\
 	:am:bs:li#24:co#80:ce=\EK:cl=\EF:cm=\EE%+ %+ :\
 	:dc=\EJ:dl=\EH:ic=\EI:al=\EG:up=^K:\
@@ -2817,7 +2865,7 @@
 	:se=\E&d@:ue=\E&d@:im=\EQ:so=\E&dB:us=\E&dD:me=\E&d@:ei=\ER:\
 	:if=/usr/share/tabset/stdcrt:al=\EL:kb=\b:kd=\EB:kh=\Eh:kl=\ED:\
 	:kr=\EC:ku=\EA:ke=\E&s0A:ks=\E&s1A:sf=\n:ta=\t:
-#From gregc@ernie.berkeley.edu (Greg Couch)
+# From gregc@ernie.berkeley.edu (Greg Couch)
 9837|hp9837|98720|hp98720|98721|hp98721|HP 9000/300 workstations:\
 	:bs:pt:am:xs:da:db:mi:\
 	:co#128:li#46:lm#0:\
@@ -2886,8 +2934,8 @@
 	:sr=\EM:is=\E<\E[>1;2;3;4;5;6;7;8;9l\E[0m\E[11m\E[?7h:
 h19-bs|h19bs|heathkit w/keypad shifted:\
 	:ks=\Et:ke=\Eu:tc=h19-b:
-#written by David Shewmake, UCSF Medical Information Science
-#ucbvax!ucsfmis!shewmake
+# written by David Shewmake, UCSF Medical Information Science
+# ucbvax!ucsfmis!shewmake
 h29|heath-29|z29|zenith-29:\
 	:am:bc=\ED:bt=\E-:do=^J:\
 	:al=\EL:le=^H:bs:cd=\EJ:ce=\EK:cl=\EE:cm=\EY%+ %+ :co#80:dc=\EN:\
@@ -2896,7 +2944,7 @@
 	:kb=^H:ku=\EA:kd=\EB:kl=\ED:kr=\EC:kh=\EH:kn#1:k0=\E~:l0=HOME:\
 	:k1=\ES:k2=\ET:k3=\EU:k4=\EV:k5=\EW:k6=\EP:k7=\EQ:k8=\ER:k9=\E0I:\
 	:es:hs:ts=\Ej\Ex5\Ex1\EY8%+ \Eo:fs=\Ek\Ey5:ds=\Ey1:us=\Es8:ue=\Es0:
-#the z29-e entry sucks...but it works with emacs
+# the z29-e entry sucks...but it works with emacs
 z29-e|zenith 29 hacked for emacs:\
 	:ip=1.5:ks=\Et:ke=\Eu:vs@:ve@:al=1*\EL:am:le=^H:\
 	:bs:cd=\EJ:ce=\EK:cl=\EE:cm=\EY%+ %+ :co#80:dc=\EN:dl=1*\EM:\
@@ -2932,7 +2980,7 @@
 z29a-nkc-uc|h29a-nkc-uc:\
 	:rs=\E<\E[1;24r\E[24;1H\E[?7h\E[>2h\E[>1;3;4;5;6;7;8;9l\E[m\E[11m:\
 	:tc=z29a:
-#z100 entry from Brad Brahms at TRW (Brahms@USC-ECLC)
+# z100 entry from Brad Brahms at TRW (Brahms@USC-ECLC)
 #			   usenet: {decvax,ucbvax}!trwrb!trwspp!brahms
 z100|h100|z110|z-100|h-100|heath/zenith z-100 pc with color monitor:\
 	:vs=\Ex4\Em71:ve=\Ey4\Em70:tc=z100bw:
@@ -3021,7 +3069,7 @@
 	:ko=ho:l1=F1:l2=F2:l3=F3:l4=F4:l5=F5:l6=F6:l7=F7:\
 	:kb=^H:kd=^J:kh=^^:kl=^H:kr=^L:ku=^K:li#24:\
 	:ma=j^Jk^P^K^Pl ^R^L^L :nd=^L:se=\E(:so=\E):ta=\Ei:up=^K:
-#From: stephen%comp.lancs.ac.uk@ucl-cs.arpa
+# From: stephen%comp.lancs.ac.uk@ucl-cs.arpa
 adm11|lsi adm11:\
 	:do=^J:bs:\
 	:cd=\EY:ce=\ET:kb=^H:kh=^^:\
@@ -3177,8 +3225,8 @@
 	:do=^J:le=^H:bs:co#132:hc:os:
 # From lesleymw@topaz.berkeley.edu
 ti931|ti 931:\
-	al=\EN:am:bs:cd=\EJ:ce=\EI:cl=\EL:cm=\EY%+ %+ :co#80:dl=\EO:do=\EB:\
-	eo:ho=\EH:li#24:ku=\EA:kd=\EB:kr=\EC:kl=\ED:mi:nd:sf=\Eb:sr=\Ea:up=\EA:
+	:al=\EN:am:bs:cd=\EJ:ce=\EI:cl=\EL:cm=\EY%+ %+ :co#80:dl=\EO:do=\EB:\
+	:eo:ho=\EH:li#24:ku=\EA:kd=\EB:kr=\EC:kl=\ED:mi:nd:sf=\Eb:sr=\Ea:up=\EA:
 # # --------------------------------
 #
 # v: TELEVIDEO
@@ -3391,7 +3439,7 @@
 ims950-rv|ims tvi950 rev video:\
 	:k0@:k1@:k2@:k3@:k4@:k5@:k6@:k7@:k8@:k9@:kb@:kd@:kh@:kl@:ko@:kr@:ku@:\
 	:vb@:xn@:tc=tvi950-rv:
-#From Andreas Stolcke <stolcke@icsi.berkeley.edu>
+# From Andreas Stolcke <stolcke@icsi.berkeley.edu>
 tvi955|955|televideo955:\
 	:ct=\E3:st=\E1:do=^J:\
 	:rs=\EDF\EC\Eg\Er\EO\E\047\E(\Ew\EX\Ee ^O\
@@ -3439,30 +3487,30 @@
 #
 # Advice on the Wyse 30 and 50 standout mode glitch:
 #			(from steve@omni.com or ...pyramid!koosh!steve)
-# 
+#
 # These terminals support a "PROTECT" sequence on/off that has no
 # standout-glitch (xmc), while the regular "attribute" stuff enabled
 # with <ESC>G'some-character' gives a 1-space glitch.
-# 
+#
 # All but the very old revision firmware on both terminals support a
 # visible PROTECT attribute that's selectable by the ol' SETUP menu.
 # (The older rev. terminals do support PROTECT attribute but only
 #  have the options REGULAR and DIM)
-# 
+#
 # Get into your terminal's SETUP menu, and down-key to the 5'th
 # menu (on a wyse 30; I think 3'rd or 4'th on a wyse 50) and
 # right-key over to the PROTECT item.
-# 
+#
 # Change PROTECT to REVERSE or REVERSE/DIM, and go over to the next
 # item -- ATTRIBUTE and change it to LINE;  then save the changes for
 # power-on.  (ATTRIBUTE change isn't necessary but looks a whole lot
 # nicer to the eye when inverting the remainder of a line rather then
 # the rest of the screen!).
-# 
+#
 # The next thing to do is change your /usr/lib/something?/terminfo/w/wyse50
 # so that it uses the proper escape sequences to turn on/off the protect
 # sequence rather than the very-ugly \EG4 and \EG0.
-# 
+#
 # Change standout to \E), standend to \E(, and glitch to 0, which means
 # changing the so, se, and sg fields to :so=\E):se=\E(:sg#0:
 #
@@ -3774,7 +3822,7 @@
 	:nl=^_:al=^D:am:bs:cd=^B:ce=^A:cl=^L:cm=\EY%+ %+ :co#80:\
 	:dl=^K:do=^_:ho=^F:li#24:nd=^]:ms:pt:se=^O:so=^N:up=^^:\
 	:kb=^H:kd=^_:kl=^\:kr=^]:ku=^^:
-#From: ksb@mentor.cc.purdue.edu (Kevin Braunsdorf)
+# From: ksb@mentor.cc.purdue.edu (Kevin Braunsdorf)
 trs16|trs-80 model 16 console:\
 	:al=\EL:am:bs:cd=\EJ:ce=\EK:cl=^L:cm=\EY%+ %+ :co#80:dc=\EQ:dl=\EM:\
 	:do=\EB:ic=\EP:ho=\EH:kb=^H:kd=\EB:kl=\ED:kn#2:kr=\EC:\
@@ -3785,7 +3833,7 @@
 	:BN=\E[?33h:BF=\E[?33l:UC=\E[_\040q:BC=\E[\177\040q:\
 	:PN=\E]=:PS=\E]+:\
 	:CN=\ERC:CF=\ERc:NR=\ERD:NM=\ER@:
-#From {pbrown,ctl}@ocf.berkeley.edu, 12 Mar 90
+# From {pbrown,ctl}@ocf.berkeley.edu, 12 Mar 90
 coco3|os9LII|Tandy CoCo3 24*80 OS9 Level II:\
 	:am:bs:cl=5*^L:li#24:co#80:ho=^A:\
 	:cd=^K:ce=^D:cm=2%r^B%+ %+ :\
@@ -3843,7 +3891,7 @@
 	:is=\E}\EC\EX\Ee\En\E%\Er\E(\Ek\Em\Eq\Ed\ET\EC\E9\EF:\
 	:im=\EZ:sg@:ug@:vb=\200\200\200^G\200\200\200:\
 	:mh=\E):mr=\Ej:me=\E(\Ek:tc=abm85:
-#from  malman@bbn-vax.arpa
+# from  malman@bbn-vax.arpa
 kt7|kimtron model kt-7:\
 	:am:bs:co#80:li#24:cm=\E=%+ %+ :cl=^Z:cd=\EY:ce=\ET:is=\El\E":\
 	:al=\EE:dl=\ER:ic=\EQ:dc=\EW:if=/usr/share/tabset/stdcrt:\
@@ -3993,7 +4041,7 @@
 go140w|graphon go-140 in 132 column mode:\
 	:co#132:is=\E<\E=\E[?3h\E[?7h\E(B\E[J\E7\E[;r\E8\E[m\E[q:\
 	:tc=go140:
-#From edm@nwnexus.WA.COM.  Hacked up vt200 termcap to handle GO-225/VT220
+# From edm@nwnexus.WA.COM.  Hacked up vt200 termcap to handle GO-225/VT220
 go225|go-225|Graphon 225:\
 	:im=\E[4h:ei=\E[4l:mi:dc=\E[P:al=\E[L:dl=\E[M:\
 	:cs=\E[%i%d;%dr:sf=\ED:sr=\EM:\
@@ -4009,7 +4057,7 @@
 sanyo55|sanyo|sanyo mbc-55x pc compatible:\
 	:co#80:li#25:am:cl=\E[H\E[J:bs:cm=\E[%i%d;%dH:nd=\E[C:up=\E[A:\
 	:ce=\E[K:cd=\E[J:so=\E[7m:se=\E[m:us=\E[4m:ue=\E[m:
-#From: Simson L. Garfinkel <simsong@media-lab.mit.edu>
+# From: Simson L. Garfinkel <simsong@media-lab.mit.edu>
 ST|atari st:\
 	:bs:cd=\EJ:ce=\EK:cl=\EH\EJ:cm=\EY%+ %+ :co#80:li#25:nd=\EC:\
 	:pt:sr=\EI:up=\EA:ku=\EA:kd=\EB:kr=\EC:kl=\ED:\
@@ -4110,7 +4158,7 @@
 #     something like a Dnet Fterm with the window sized to some peculiar
 #     dimension larger than 80 columns.
 # :k0=\E9~	map F10 to k0 - could have F0-9 -> k0-9, but ... F10 was 'k;'
-# :F1-FA			removed F11 through F20. 
+# :F1-FA			removed F11 through F20.
 amiga|Amiga ANSI:\
 	:co#80:li#24:am:bs:bw:\
 	:AL=\E[%dL:DC=\E[%dP:DL=\E[%dM:DO=\E[%dB:\
@@ -4133,7 +4181,7 @@
 # From Joel Rubin, jmrubin@coral, a preliminary TERMCAP for VIDTEX,
 # a terminal program sold by Compuserve.  Line and column numbers are
 # computer-dependent (I have a Commodore '64); you should use the meta-B
-# option to shut off clean-breaking of lines.  No key codes included 
+# option to shut off clean-breaking of lines.  No key codes included
 # since some of them are programmable and most are machine-specific.
 # Works on vi if you don't use clean-breaking.  Very similar to the IBM 3101
 # termcap.  Escape-D used for backspace because control-H is destructive
@@ -4183,7 +4231,7 @@
 	:am:bs:cd=\E/:ce=\EQ:cl=\EZ:cm=\EY%r%+ %+ :co#80:dc=\E\\:\
 	:do=^J:ic=\E[:li#24:nd=\EC:so=\EJ:se=\EK:up=\EA:\
 	:sr=\En:ho=\EH:
-# From Christian Weisgerber, naddy@mips.inka.de, a TERMCAP entry 
+# From Christian Weisgerber, naddy@mips.inka.de, a TERMCAP entry
 # for Linux consoles.
 linux|Linux Console:\
 	:am:eo:mi:ms:xn:xo:\
@@ -4270,11 +4318,10 @@
 	:us=\E[4m:vb=\E[?5h\E[?5l:ve=\E[?25h:vi=\E[?25l:\
 	:vs=\E[?25h:
 
-# Termcap entry for Eterm, taken from the sources of Eterm-0.9.1
-# From Jeremy Norris <ishmael27@home.com>
-Eterm|Eterm-color|Eterm with xterm-style color support (X Window System):\
+# Termcap entry for Eterm, taken from the sources of Eterm-0.9.2
+Eterm|Eterm Terminal Emulator (X11 Window System):\
 	:am:bw:eo:km:mi:ms:xn:xo:\
-	:co#80:it#8:li#24:lm#0:\
+	:co#80:it#8:li#24:lm#0:pa#64:Co#8:AF=\E[3%dm:AB=\E[4%dm:op=\E[39m\E[49m:\
 	:AL=\E[%dL:DC=\E[%dP:DL=\E[%dM:DO=\E[%dB:IC=\E[%d@:\
 	:K1=\E[7~:K2=\EOu:K3=\E[5~:K4=\E[8~:K5=\E[6~:LE=\E[%dD:\
 	:RI=\E[%dC:UP=\E[%dA:ae=^O:al=\E[L:as=^N:bl=^G:cd=\E[J:\
@@ -4289,8 +4336,9 @@
 	:me=\E[m\017:mr=\E[7m:nd=\E[C:rc=\E8:\
 	:sc=\E7:se=\E[27m:sf=^J:so=\E[7m:sr=\EM:st=\EH:ta=^I:\
 	:te=\E[2J\E[?47l\E8:ti=\E7\E[?47h:ue=\E[24m:up=\E[A:\
-	:us=\E[4m:vb=\E[?5h\E[?5l:ve=\E[?25h:vi=\E[?25l:
+	:us=\E[4m:vb=\E[?5h\E[?5l:ve=\E[?25h:vi=\E[?25l:\
+	:ac=``aaffggiijjkkllmmnnooppqqrrssttuuvvwwxxyyzz{{||}}~~:
 
 #
 # END OF TERMCAP
-#  ------------------------
+# ------------------------
